public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Frysinger" <vapier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-block/fio/
Date: Wed, 20 Apr 2016 17:02:34 +0000 (UTC)	[thread overview]
Message-ID: <1461171747.0106d8e5f1e46d21067175a84f8fdd76fa2a6fdc.vapier@gentoo> (raw)

commit:     0106d8e5f1e46d21067175a84f8fdd76fa2a6fdc
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 20 16:59:41 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Wed Apr 20 17:02:27 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0106d8e5

sys-block/fio: version bump to 2.8

Rewrite the static-libs handling to handle all the edge cases.

 sys-block/fio/Manifest       |  1 +
 sys-block/fio/fio-2.8.ebuild | 93 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/sys-block/fio/Manifest b/sys-block/fio/Manifest
index eda235f..e3144b1 100644
--- a/sys-block/fio/Manifest
+++ b/sys-block/fio/Manifest
@@ -3,3 +3,4 @@ DIST fio-2.2.13.tar.bz2 503950 SHA256 66a0084c37bd8804d9f7d260d843a9a3bf51561954
 DIST fio-2.2.9.tar.bz2 492404 SHA256 c881d9cf15500bd4436970d0467c356c5c021417131587931ba78845e965bf56 SHA512 e0cd26bb8a760ef5e40ddb73246671c1988f0c0886bd24fa510fcab93fe64d8853f120355f55fa109168c7fae0b081f63278f2233644f5ed20da4e4c3cb3f3fc WHIRLPOOL 4f5ada7f1140c7229fc3173fa0582a4ae7401121768d8dec828dcd42c1c22ec828e9c000c482b155ead4fd75ee15c4d7678fc7c6d18c8fbb9c749e83f87a4881
 DIST fio-2.5.tar.bz2 509978 SHA256 30f85cd6596125bd2f76b379f15a4edee1149bb0347a9c10a2dda15d7591a543 SHA512 44fc4bc342b611f9ed89685d73592389dd9e63970a9bbcc1b332aa8434a3e4a52b0c16d27b6a6dd96fcf3a9831a68af5249251895a6dbd9f7190ad0b8935eb40 WHIRLPOOL dced416aae899987ff80c6f37999a064d8a45c8ea809d7a3f3a2eea5dd3b6ae5633125326373a5da3b37429dc940f0c97fa9694e976a61819709db3b6ab7ac3e
 DIST fio-2.6.tar.bz2 509685 SHA256 b4b846fca614f724b8315348cb23e2d4a1046e63f10e79b4b310acf29c4d1ac0 SHA512 9831c3de2110c509f6c99ffe0fc8256aea2b9b337e6b2799108c89d1b5e472a85e6df9cb090549db80429658717aa75f2ab10d41359386e1dde861c600645b39 WHIRLPOOL c5138eb2def4c67ee0d5cca46db6aa663e2a1e0eead05aab5938ced20dd68bc214f217724d3bd1c4a1030b4ffee2c07ee37910b57c6f11b2ed6a0ff67d3b30cc
+DIST fio-2.8.tar.bz2 513800 SHA256 815344531a6c0201872aca43581c2e4b6fbc1d735266dd12a0c3408754ec862f SHA512 2228dab377f6664ce9e1bd6e5720e7eb256370758f6cea25c778a2480b5fbbf39630e8c5676e2cf34d9d664c7b1960c618feb1bd252fec290e09bf534672922c WHIRLPOOL fd32419a2d338a77f76d68831eb08ae7b1f34892d03bcd931a8cca3630813767fefa081148fd8f636531b62bd71c7fa0a7d4d71c53d8c8294f7cad7bb794eec6

diff --git a/sys-block/fio/fio-2.8.ebuild b/sys-block/fio/fio-2.8.ebuild
new file mode 100644
index 0000000..cc55989
--- /dev/null
+++ b/sys-block/fio/fio-2.8.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils python-r1 toolchain-funcs
+
+MY_PV="${PV/_rc/-rc}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="Jens Axboe's Flexible IO tester"
+HOMEPAGE="http://brick.kernel.dk/snaps/"
+SRC_URI="http://brick.kernel.dk/snaps/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86"
+IUSE="aio glusterfs gnuplot gtk numa rbd rdma static zlib"
+
+# GTK+:2 does not offer static libaries.
+LIB_DEPEND="aio? ( dev-libs/libaio[static-libs(+)] )
+	glusterfs? ( sys-cluster/glusterfs[static-libs(+)] )
+	gtk? ( dev-libs/glib:2[static-libs(+)] )
+	numa? ( sys-process/numactl[static-libs(+)] )
+	rbd? ( sys-cluster/ceph[static-libs(+)] )
+	zlib? ( sys-libs/zlib[static-libs(+)] )"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+	gtk? ( x11-libs/gtk+:2 )"
+DEPEND="${RDEPEND}
+	static? ( ${LIB_DEPEND} )"
+RDEPEND+="
+	gnuplot? (
+		sci-visualization/gnuplot
+		${PYTHON_DEPS}
+	)"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+	epatch "${FILESDIR}"/fio-2.2.13-libmtd.patch
+	sed -i '/^DEBUGFLAGS/s: -D_FORTIFY_SOURCE=2::g' Makefile || die
+	epatch_user
+
+	# Many checks don't have configure flags.
+	sed -i \
+		-e "s:\<pkg-config\>:$(tc-getPKG_CONFIG):" \
+		-e '/if compile_prog "" "-lz" "zlib" *; *then/  '"s::if $(usex zlib true false) ; then:" \
+		-e '/if compile_prog "" "-laio" "libaio" ; then/'"s::if $(usex aio true false) ; then:" \
+		configure || die
+}
+
+src_configure() {
+	chmod g-w "${T}"
+	# not a real configure script
+	set -- \
+	./configure \
+		--disable-optimizations \
+		--extra-cflags="${CFLAGS} ${CPPFLAGS}" \
+		--cc="$(tc-getCC)" \
+		$(usex glusterfs '' '--disable-gfapi') \
+		$(usex gtk '--enable-gfio' '') \
+		$(usex numa '' '--disable-numa') \
+		$(usex rbd '' '--disable-rbd') \
+		$(usex static '--build-static' '')
+	echo "$@"
+	"$@" || die 'configure failed'
+}
+
+src_compile() {
+	emake V=1 OPTFLAGS=
+}
+
+src_install() {
+	emake install DESTDIR="${D}" prefix="${EPREFIX}/usr" mandir="${EPREFIX}/usr/share/man"
+
+	if use gnuplot ; then
+		python_replicate_script "${ED}/usr/bin/fio2gnuplot"
+	else
+		rm "${ED}"/usr/bin/{fio2gnuplot,fio_generate_plots} || die
+		rm "${ED}"/usr/share/man/man1/{fio2gnuplot,fio_generate_plots}.1 || die
+		rm "${ED}"/usr/share/fio/*.gpm || die
+		rmdir "${ED}"/usr/share/fio/ 2>/dev/null
+	fi
+
+	# This tool has security/parallel issues -- it hardcodes /tmp/template.fio.
+	rm "${ED}"/usr/bin/genfio || die
+
+	dodoc README REPORTING-BUGS HOWTO
+	docinto examples
+	dodoc examples/*
+}


             reply	other threads:[~2016-04-20 17:02 UTC|newest]

Thread overview: 84+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-04-20 17:02 Mike Frysinger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-30 21:20 [gentoo-commits] repo/gentoo:master commit in: sys-block/fio/ Andreas K. Hüttel
2024-10-12 10:08 Michał Górny
2024-10-12  9:44 Michał Górny
2024-10-12  9:44 Michał Górny
2024-10-12  7:52 Michał Górny
2024-08-12 15:04 Guilherme Amadio
2024-05-29  6:26 Jakov Smolić
2024-05-28 20:49 Sam James
2024-05-23  1:36 Sam James
2024-05-22  1:06 Sam James
2024-03-07 14:08 Robin H. Johnson
2023-05-16  1:52 Sam James
2023-05-03  6:33 Arthur Zamarin
2023-05-03  4:45 Sam James
2023-05-02 20:50 Sam James
2023-05-02 20:15 Sam James
2023-05-01  8:47 Sam James
2023-04-13  5:53 Robin H. Johnson
2022-10-18  2:55 Sam James
2022-08-19  4:04 Sam James
2022-05-19  7:28 WANG Xuerui
2022-04-15 19:35 Robin H. Johnson
2022-04-15 19:35 Robin H. Johnson
2022-04-15  6:27 Sam James
2022-04-15  4:57 Robin H. Johnson
2022-03-28 17:46 Robin H. Johnson
2022-02-15  9:24 Jakov Smolić
2022-01-14 17:36 Jakov Smolić
2022-01-04  3:22 Sam James
2022-01-03 12:37 Sam James
2022-01-03 12:36 Sam James
2022-01-03 12:11 Jakov Smolić
2022-01-03 12:11 Jakov Smolić
2021-08-06 15:13 Matthew Thode
2021-07-05 20:02 Matthew Thode
2021-06-08  2:58 Matthew Thode
2021-06-07  4:18 Matthew Thode
2021-05-02 16:12 Mikle Kolyada
2021-02-13 10:27 David Seifert
2021-02-02  4:20 Sam James
2021-02-01  8:25 Sam James
2021-01-31 18:48 Sam James
2021-01-30 16:22 Sam James
2021-01-30 14:29 Sam James
2021-01-25 14:18 Sam James
2020-11-07  1:19 Sam James
2020-11-07  1:19 Sam James
2020-11-06 10:26 Lars Wendler
2020-07-02 22:31 Lars Wendler
2020-07-02 20:24 Robin H. Johnson
2020-05-07 17:58 Michał Górny
2020-05-03 12:58 Agostino Sarubbo
2020-05-03 12:31 Agostino Sarubbo
2020-05-03 12:30 Agostino Sarubbo
2020-05-03 12:30 Agostino Sarubbo
2020-05-03 12:28 Agostino Sarubbo
2020-04-20 22:49 Matthew Thode
2020-03-13  6:08 Robin H. Johnson
2020-01-24 18:39 Mike Frysinger
2018-11-18 11:20 Justin Lecher
2018-06-25 13:20 Thomas Deutschmann
2017-12-02 20:51 Justin Lecher
2017-11-30 18:47 Robin H. Johnson
2017-08-19 16:20 Sergei Trofimovich
2017-04-20 16:41 David Seifert
2017-02-05 16:52 Markus Meier
2017-01-05 22:50 Justin Lecher
2017-01-03 10:38 Agostino Sarubbo
2016-12-30 11:12 Agostino Sarubbo
2016-12-28  8:13 Aaron Bauman
2016-11-08 18:33 Robin H. Johnson
2016-06-29 22:33 Alexey Shvetsov
2016-01-22 21:03 Robin H. Johnson
2015-11-12 10:11 Agostino Sarubbo
2015-10-17 11:17 Markus Meier
2015-10-04 10:17 Jeroen Roovers
2015-10-01  3:19 Mike Frysinger
2015-09-30 13:43 Agostino Sarubbo
2015-09-29 10:18 Agostino Sarubbo
2015-09-28 16:18 Mike Frysinger
2015-09-28 16:18 Mike Frysinger
2015-09-28 16:13 Mike Frysinger
2015-09-28 16:04 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1461171747.0106d8e5f1e46d21067175a84f8fdd76fa2a6fdc.vapier@gentoo \
    --to=vapier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox